## class OSGPARTICLE_EXPORT osgParticle::MultiSegmentPlacer

> A polyline-shaped particle placer.

## Inheritance:

### Public Methods

MultiSegmentPlacer()
MultiSegmentPlacer(const MultiSegmentPlacer &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)
META_Object(osgParticle, MultiSegmentPlacer)
void place(Particle* P) const
  Place a partice.
inline int numVertices() const
  Get the number of vertices which define the segments
inline const osg::Vec3& getVertex(int i) const
  Get a vertex
inline void setVertex(int i, const osg::Vec3 &v)
  Set a vertex
inline void setVertex(int i, float x, float y, float z)
  Set a vertex
inline void addVertex(const osg::Vec3 &v)
  Add a vertex
inline void addVertex(float x, float y, float z)
  Add a vertex
inline void removeVertex(int i)
  Remove a vertex

### Protected Methods

virtual ~MultiSegmentPlacer()
MultiSegmentPlacer& operator=(const MultiSegmentPlacer &)

### Inherited from Placer:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const

## Documentation

> A polyline-shaped particle placer. This placer class sets the position of incoming particles by choosing a random point on the specified sequence of connected segments.

`MultiSegmentPlacer()`

`MultiSegmentPlacer(const MultiSegmentPlacer &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)`

`META_Object(osgParticle, MultiSegmentPlacer)`

`void place(Particle* P) const`
  Place a partice. Called automatically by `ModularEmitter`, do not call this method manually.

`virtual ~MultiSegmentPlacer()`

`MultiSegmentPlacer& operator=(const MultiSegmentPlacer &)`

`inline int numVertices() const`
  Get the number of vertices which define the segments

`inline const osg::Vec3& getVertex(int i) const`
  Get a vertex

`inline void setVertex(int i, const osg::Vec3 &v)`
  Set a vertex

`inline void setVertex(int i, float x, float y, float z)`
  Set a vertex

`inline void addVertex(const osg::Vec3 &v)`
  Add a vertex

`inline void addVertex(float x, float y, float z)`
  Add a vertex

`inline void removeVertex(int i)`
  Remove a vertex

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.